summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-config-sign
diff options
context:
space:
mode:
Diffstat (limited to 'bin/taler-deployment-config-sign')
-rwxr-xr-xbin/taler-deployment-config-sign12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/taler-deployment-config-sign b/bin/taler-deployment-config-sign
new file mode 100755
index 0000000..0f6e082
--- /dev/null
+++ b/bin/taler-deployment-config-sign
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -eu
+
+base=$HOME
+
+export PATH="$base/deployment":$PATH
+
+for f in ~/.config/taler/exchange/wire/*.unsigned.json; do
+ taler-exchange-wire -j "$(<"$f")" > "${f%.unsigned.json}.json"
+done
+